Issue 118735 - matrix/vlookup formulars can freeze oo
Summary: matrix/vlookup formulars can freeze oo
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: 3.4.0 Beta (OOo)
Hardware: PC All
: P5 (lowest) Major (vote)
Target Milestone: ---
Assignee: spreadsheet
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-07 13:23 UTC by Oliver Brinzing
Modified: 2012-02-08 20:53 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
matrix/vlookup formular demo (82.16 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-01-07 13:23 UTC, Oliver Brinzing
no flags Details
vlookup_500_rows.xls (102.00 KB, application/vnd.ms-excel)
2012-01-30 06:26 UTC, Oliver Brinzing
no flags Details
result_aoo34.gif (23.09 KB, image/gif)
2012-01-30 06:27 UTC, Oliver Brinzing
no flags Details
result_excel2003.gif (23.20 KB, image/gif)
2012-01-30 06:28 UTC, Oliver Brinzing
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver Brinzing 2012-01-07 13:23:34 UTC
Created attachment 77106 [details]
matrix/vlookup formular demo

i found this bug in win32 aoo3.4 dev build revision 1226179

steps to reproduce:

- open attached file "test_performance_matrix.ods"
- change a value in column c
- if new value is not in column a (e.g. 0 or 2501)
  oo will freeze

btw: lo 3.4.4 will not open the file at all
https://bugs.freedesktop.org/show_bug.cgi?id=44420
Comment 1 Oliver Brinzing 2012-01-30 06:25:54 UTC
adding another sample document with only 500 rows.

aoo won't freeze now, but all values in columns F and G 
will be set to #N/A, if an invalid entry in column c has
been entered (for example 0).

this is different from excel. excel sets #N/A only for
the row, where the inalvid entry has been entered.
Comment 2 Oliver Brinzing 2012-01-30 06:26:34 UTC
Created attachment 77177 [details]
vlookup_500_rows.xls
Comment 3 Oliver Brinzing 2012-01-30 06:27:29 UTC
Created attachment 77178 [details]
result_aoo34.gif
Comment 4 Oliver Brinzing 2012-01-30 06:28:24 UTC
Created attachment 77179 [details]
result_excel2003.gif
Comment 5 hdu@apache.org 2012-01-30 08:20:37 UTC
Great report and bugdocs, thanks!
Confirming as reproducible on a recent pre-AOO34 on Win.
Comment 6 Rob Weir 2012-02-02 15:41:30 UTC
Fixed in revision 1239673
Comment 7 hdu@apache.org 2012-02-02 15:58:39 UTC
With "fixed in revision 1239673" I meant the stability problem of Calc freezing is solved. The difference between Calc and Excel interpreting vlookup differently should be treated as a separately.
Comment 8 Oliver Brinzing 2012-02-08 09:19:43 UTC
verified in rev 1240836 - aoo no longer frezzes

>The difference between Calc and Excel interpreting vlookup
>differently should be treated as a separately.

you are right, changing the current behaviour could
cause problems